Problem updating Mac so Ipad won't connect? Is my Mac too old?

Lark Minkous

macrumors newbie
Original poster
May 16, 2017
2
1
HaNoi
Please Help...I have had this problem for nearly a year

I need my Mac book Pro 7.1
with Mac OS X 10.6.8

To talk to my ipad version 10.2.1 (14D27)

For ages I couldn't figure out why my ipad stopped connecting to itunes on my Mac......but know i think its because the software on my Mac isn't up to date enough to match my ipad. A

And my Mac is too old to update any further....what to do?!?!

please send help

Best

Lark Minkous

P.s music I make which is why i need ipad to talk to Mac :)

https://soundcloud.com/lark-minkous
 

Mr_Brightside_@

macrumors 68040
Sep 23, 2005
3,352
1,418
Toronto
MacBook Pro 7,1 indicates a 2010 model, which can be updated to Sierra, the current OS which will run iTunes properly. Are you not seeing this in the Mac App Store?

Alternatively, I believe Mavericks, 10.9 can support a fully up to date iTunes.
 

Lark Minkous

macrumors newbie
Original poster
May 16, 2017
2
1
HaNoi
Hi...thanks a lot for your reply!!!

When I try to download MacOS Sierra it says cannot complete purchase as I need MacOS version 10.7.5
How do I get that?

There are no software updates available when I check for them....

Thanks again for any help!!
[doublepost=1494987890][/doublepost]After reading I realize that I need to upgrade from snow leopard to El Capitan or Lion first

Then do a second update to sierra, right??

But that's tricky....

Where can I find a copy of El Capitan online??

....I found it on the Mac App Store!!!

And suddenly I see a light at the end of the tunnel!!! For so long I thought it was some hardware problem with my iPad cable or something or that my Mac was dying,....but now...fingers crossed this I will solve it and I can get up to sierra .....
 
Last edited:
  • Like
Reactions: Mr_Brightside_@

ApfelKuchen

macrumors 68040
Aug 28, 2012
3,761
2,339
Between the coasts
There's no need to upgrade to Lion before moving up to Sierra. Apple does provide a free upgrade path for Snow Leopard users:
https://support.apple.com//HT206886 There's a link in that article that allows Snow Leopard users to obtain El Capitan (which is otherwise not available through the App Store). Once you're on El Capitan you can upgrade to Sierra if you wish.
 

Fishrrman

macrumors Core
Feb 20, 2009
19,927
6,979
OP:

If you found El Cap at the Apple Store, can you download it?
If so, I suggest you download it BUT DON'T RUN IT yet (see below).
The installer will be in your applications folder.

You should create a bootable USB flash drive with the installer on it.
You'll need a 16gb flash drive (or larger).

Try these first:
- Install Disk Creator
or
- DiskMaker X
I'm not sure if these will run under os 10.6.8.

If they don't, you can also create the bootable installer using the terminal.

Install from the flash drive installer.
This way, you still have a bootable copy of the installer to keep around afterwards.
(If you just run the installer from the applications folder, it will delete itself when the install is done).

There are other ways to get El Cap if Apple won't give it to you.
Some will say "don't use them", but if you need it, you can get it without Apple.
There are even folks on ebay who will sell you a flashdrive with the El Cap installer on it, ready-to-go.
 

ApolloBoy

macrumors 6502a
Apr 16, 2015
734
246
San Jose, CA
Apple put out a special update for Snow Leopard regarding the App Store last year, try running Software Update and make sure everything's current.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.